#maneuver.pxd
#distutils: language = c++


from cymath.astro.astro_state cimport ECI
from cymath.vector3 cimport Vector3

cdef class SatBurn:
    cdef double _time
    cdef Vector3 _delta_v
    
cdef class LambertMultiRevResult:
    cdef object _burns
#    
#cpdef LambertMultiRevResult plan_lambert(Vector3 r_initial, Vector3 v_initial, double time_sec,
#                                         Vector3 r_final, Vector3 v_final, double deltat_sec, bint is_prograde=*, int max_revs=*)
cpdef LambertMultiRevResult plan_lambert(ECI state_initial, ECI state_target,
                                     double deltat_sec, 
                                     bint is_prograde=*,
                                     int max_revs=*)